# CUpti_ActivityFunction Struct Reference
[CUPTI Activity API]

The activity record for global/device functions. More...

## Data Fields
uint32_t | contextId
uint32_t | functionIndex
uint32_t | id
CUpti_ActivityKind | kind
uint32_t | moduleId
const char * | name

## Detailed Description

This activity records function name and corresponding module information. (CUPTI_ACTIVITY_KIND_FUNCTION).

## Field Documentation

uint32_t CUpti_ActivityFunction::contextId

The ID of the context where the function is launched.

uint32_t CUpti_ActivityFunction::functionIndex

The function's unique symbol index in the module.

uint32_t CUpti_ActivityFunction::id

ID to uniquely identify the record

CUpti_ActivityKind CUpti_ActivityFunction::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_FUNCTION.

uint32_t CUpti_ActivityFunction::moduleId

The module ID in which this global/device function is present.

const char* CUpti_ActivityFunction::name

The name of the function. This name is shared across all activity records representing the same kernel, and so should not be modified.